Kibana Classic Alerting
Kibana Classic Alerting enables you to define rules, which detect complex conditions within your data. When a condition is met, the rule tracks it as an alert and runs the actions that are defined in the rule. Actions typically involve the use of connectors to interact with Kibana services or third party integrations.
-
Get the alerting framework health
- GET /api/alerting/_health
-
Get rule details
- GET /api/alerting/rule/{id}
-
Create a rule
- POST /api/alerting/rule/{id}
-
Update a rule
- PUT /api/alerting/rule/{id}
-
Delete a rule
- DELETE /api/alerting/rule/{id}
-
Disable a rule
- POST /api/alerting/rule/{id}/_disable
-
Enable a rule
- POST /api/alerting/rule/{id}/_enable
-
Mute all alerts
- POST /api/alerting/rule/{id}/_mute_all
-
Unmute all alerts
- POST /api/alerting/rule/{id}/_unmute_all
-
Update the API key for a rule
- POST /api/alerting/rule/{id}/_update_api_key
-
Get the Elasticsearch query for a rule
- GET /api/alerting/rule/{id}/query_inspector
-
Schedule a snooze for the rule
Stack
8.19+
- POST /api/alerting/rule/{id}/snooze_schedule
-
Delete a snooze schedule for a rule
Stack
8.19+
- DELETE /api/alerting/rule/{ruleId}/snooze_schedule/{scheduleId}
-
Mute an alert
- POST /api/alerting/rule/{rule_id}/alert/{alert_id}/_mute
-
Snooze an alert
Stack
9.5+
- POST /api/alerting/rule/{rule_id}/alert/{alert_id}/_snooze
-
Unmute an alert
- POST /api/alerting/rule/{rule_id}/alert/{alert_id}/_unmute
-
Unsnooze an alert
Stack
9.5+
- POST /api/alerting/rule/{rule_id}/alert/{alert_id}/_unsnooze
-
Get the rule types
- GET /api/alerting/rule_types
-
Get information about rules
- GET /api/alerting/rules/_find
-
Find backfills for rules
- POST /api/alerting/rules/backfill/_find
-
Schedule a backfill for rules
- POST /api/alerting/rules/backfill/_schedule
-
Get a backfill by ID
- GET /api/alerting/rules/backfill/{id}
-
Delete a backfill by ID
- DELETE /api/alerting/rules/backfill/{id}